IdealFactory Class Reference

This class has static methods that return various ideals. More...

`#include <IdealFactory.h>`

## Static Public Member Functions

static VarNames | ring_xyzt ()
| Returns the ring in the four variables , , and .
static BigIdeal | xx_yy_xz_yz ()
| Returns .
static BigIdeal | x_y ()
| Returns .
static BigIdeal | x_y_z ()
| Returns .
static BigIdeal | xyzzz_xxyy ()
| Returns .
static BigIdeal | xyz_xxyy ()
| Returns .
static BigIdeal | xx_yy_z ()
| Returns .
static BigIdeal | xy_xxyyz ()
| Returns .
static BigIdeal | xx_yy_zz_t_xz_yz ()
| Returns .
static BigIdeal | xy_z ()
| Returns .
static BigIdeal | xy_xz ()
| Returns .
static BigIdeal | xy ()
| Returns .
static BigIdeal | z ()
| Returns .
static BigIdeal | wholeRing (size_t varCount)
| Returns in the ring VarNames(varCount).
static BigIdeal | zeroIdeal (size_t varCount)
| Returns the ideal in the ring VarNames(varCount).
static vector< BigIdeal > | irrdecom_xx_yy_xz_yz ()
| Returns the irreducible decomposition of .
static vector< BigIdeal > | assoprimes_xx_yy_xz_yz ()
| Returns the associated primes of .
static vector< mpz_class > | makeTerm (int a, int b, int c, int d)
| Returns a vector representing .
static vector< mpz_class > | makeTerm (int a)
| Returns a vector representing .

## Detailed Description

This class has static methods that return various ideals.

This provides a convenient way to obtain ideals for tests. The data returned by this class is all in a canonical form suitable for comparison using operator==().

Definition at line 30 of file IdealFactory.h.

## Member Function Documentation

## assoprimes_xx_yy_xz_yz()

vector< BigIdeal > IdealFactory::assoprimes_xx_yy_xz_yz | ( |  | ) |

static

Returns the associated primes of .

Definition at line 141 of file IdealFactory.cpp.

## irrdecom_xx_yy_xz_yz()

vector< BigIdeal > IdealFactory::irrdecom_xx_yy_xz_yz | ( |  | ) |

static

Returns the irreducible decomposition of .

Definition at line 133 of file IdealFactory.cpp.

## makeTerm() [1/2]

vector< mpz_class > IdealFactory::makeTerm | ( | int | a | ) |

static

Returns a vector representing .

Definition at line 168 of file IdealFactory.cpp.

## makeTerm() [2/2]

vector< mpz_class > IdealFactory::makeTerm | ( | int | a,
|  | int | b,
|  | int | c,
|  | int | d )

static

Returns a vector representing .

Definition at line 159 of file IdealFactory.cpp.

## ring_xyzt()

VarNames IdealFactory::ring_xyzt | ( |  | ) |

static

Returns the ring in the four variables , , and .

This ring is used for the ideals returned by the methods of this class unless otherwise noted.

Definition at line 22 of file IdealFactory.cpp.

## wholeRing()

BigIdeal IdealFactory::wholeRing | ( | size_t | varCount | ) |

static

Returns in the ring VarNames(varCount).

Definition at line 149 of file IdealFactory.cpp.

## x_y()

BigIdeal IdealFactory::x_y | ( |  | ) |

static

Returns .

Definition at line 41 of file IdealFactory.cpp.

## x_y_z()

BigIdeal IdealFactory::x_y_z | ( |  | ) |

static

Returns .

Definition at line 49 of file IdealFactory.cpp.

## xx_yy_xz_yz()

BigIdeal IdealFactory::xx_yy_xz_yz | ( |  | ) |

static

Returns .

Definition at line 31 of file IdealFactory.cpp.

## xx_yy_z()

BigIdeal IdealFactory::xx_yy_z | ( |  | ) |

static

Returns .

Definition at line 74 of file IdealFactory.cpp.

## xx_yy_zz_t_xz_yz()

BigIdeal IdealFactory::xx_yy_zz_t_xz_yz | ( |  | ) |

static

Returns .

Definition at line 91 of file IdealFactory.cpp.

## xy()

BigIdeal IdealFactory::xy | ( |  | ) |

static

Returns .

Definition at line 119 of file IdealFactory.cpp.

## xy_xxyyz()

BigIdeal IdealFactory::xy_xxyyz | ( |  | ) |

static

Returns .

Definition at line 83 of file IdealFactory.cpp.

## xy_xz()

BigIdeal IdealFactory::xy_xz | ( |  | ) |

static

Returns .

Definition at line 111 of file IdealFactory.cpp.

## xy_z()

BigIdeal IdealFactory::xy_z | ( |  | ) |

static

Returns .

Definition at line 103 of file IdealFactory.cpp.

## xyz_xxyy()

BigIdeal IdealFactory::xyz_xxyy | ( |  | ) |

static

Returns .

Definition at line 66 of file IdealFactory.cpp.

## xyzzz_xxyy()

BigIdeal IdealFactory::xyzzz_xxyy | ( |  | ) |

static

Returns .

Definition at line 58 of file IdealFactory.cpp.

## z()

BigIdeal IdealFactory::z | ( |  | ) |

static

Returns .

Definition at line 126 of file IdealFactory.cpp.

## zeroIdeal()

BigIdeal IdealFactory::zeroIdeal | ( | size_t | varCount | ) |

static

Returns the ideal in the ring VarNames(varCount).

Definition at line 155 of file IdealFactory.cpp.

The documentation for this class was generated from the following files:

- src/IdealFactory.h
- src/IdealFactory.cpp